Name: libneon
Version: 0.24.7
Release: alt3

Summary: neon is an HTTP and WebDAV client library
License: LGPL
Group: System/Libraries
Url: http://www.webdav.org/neon
Packager: Sviatoslav Sviridov <svd@altlinux.ru>

Source: %url/neon-%version.tar.bz2
Patch: neon-0.24.7-alt-linkage.patch

%def_enable static
%{?_enable_static:BuildPreReq: glibc-devel-static}

# Automatically added by buildreq on Mon Feb 23 2004
BuildRequires: libexpat-devel libkrb5-devel libssl-devel openssl pkgconfig zlib-devel

%package devel
Summary: Header files for neon HTTP and WebDAV client library
Group: System/Libraries
Requires: %name = %version-%release

%package devel-static
Summary: neon HTTP and WebDAV static client library
Group: System/Libraries
Requires: %name-devel = %version-%release

%description
neon is an HTTP and WebDAV client library, with a C language API.
Provides lower-level interfaces to directly implement new HTTP
methods, and higher-level interfaces so that you don't have to
worry about the lower-level stuff.

%description devel
neon is an HTTP and WebDAV client library, with a C language API.
Provides lower-level interfaces to directly implement new HTTP
methods, and higher-level interfaces so that you don't have to
worry about the lower-level stuff.

%description devel-static
neon is an HTTP and WebDAV client library, with a C language API.
Provides lower-level interfaces to directly implement new HTTP
methods, and higher-level interfaces so that you don't have to
worry about the lower-level stuff.

%prep
%setup -q -n neon-%version
%patch -p1

%build
%configure \
	--enable-shared=yes \
	 %{subst_enable static} \
	--with-ssl \
	--with-expat \
	#
%make_build

%install
%define docdir %_docdir/neon-%version
%__rm -rf %buildroot%docdir
%makeinstall
%__mkdir_p %buildroot%docdir
%__install -pm644 AUTHORS NEWS README TODO BUGS THANKS doc/*.txt \
	%buildroot%docdir/
bzip2 -9f %buildroot%docdir/NEWS

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/lib*.so.*
%dir %docdir
%docdir/[A-Z]*

%files devel
%_bindir/*
%_includedir/*
%_libdir/lib*.so
%_libdir/pkgconfig/*
%_man1dir/*
%_man3dir/*
%dir %docdir
%docdir/[a-z]*

%if_enabled static
%files devel-static
%_libdir/lib*.a
%endif

%changelog
* Sun Jan 23 2005 Sviatoslav Sviridov <svd@altlinux.ru> 0.24.7-alt3
- added post/postun scripts running ldconfig (#5927)
- building static libraries by default (#5927)

* Wed Aug 18 2004 Dmitry V. Levin <ldv@altlinux.org> 0.24.7-alt2
- Fixed "neon-config --libs" and "pkg-config neon --libs" output.
- Relocated documentation.

* Wed Jul 28 2004 Sviatoslav Sviridov <svd@altlinux.ru> 0.24.7-alt1
- 0.24.7

* Fri May 14 2004 Dmitry V. Levin <ldv@altlinux.org> 0.24.5-alt2
- Fixed libneon sscanf overflow (CAN-2004-0398).
- Do not build static library by default.
- Fixed interpackage dependencies.
- Fixed build dependencies.

* Mon May 10 2004 ALT QA Team Robot <qa-robot@altlinux.org> 0.24.5-alt1.1
- Rebuilt with openssl-0.9.7d.

* Wed Apr 14 2004 Sviatoslav Sviridov <svd@altlinux.ru> 0.24.5-alt1
- 0.24.5
- do not apply any patches (already applied in upstream)

* Fri Apr 02 2004 Sviatoslav Sviridov <svd@altlinux.ru> 0.24.4-alt3
- applied patch CAN-2004-0179: neon format string bugs
- compiled with Kerberos support

* Wed Mar 24 2004 Sviatoslav Sviridov <svd@altlinux.ru> 0.24.4-alt2
- packaged file %%_libdir/pkgconfig/neon.pc
- documentation moved to devel subpackage

* Sun Nov 30 2003 Sviatoslav Sviridov <svd@altlinux.ru> 0.24.4-alt1
- 0.24.4
- removed *.la

* Mon Oct 13 2003 Sviatoslav Sviridov <svd@altlinux.ru> 0.24.3-alt1
- 0.24.3

* Tue Apr 29 2003 Sviatoslav Sviridov <svd@altlinux.ru> 0.23.9-alt1
- 0.23.9
- html docs placed in 'html' subdir
- manpages included in libneon-devel

* Mon Mar 03 2003 Sviatoslav Sviridov <svd@altlinux.ru> 0.23.8-alt1
- 0.23.8:
  + SECURITY: Prevent control characters from being included in the
    reason_phrase field filled in by ne_parse_statusline(), and in
    the session error string.
  + Disable getaddrinfo() support on HP-UX; fix resolver for HP-UX 11.11.
  + Fix digest auth response verification for >9 responses in session
    (bug manifests as "Server was not authenticated correctly" error).
  + On Linux, skip slow lookup for IPv6 addresses when IPv6 support is
    not loaded in kernel (thanks to Daniel Stenberg for this technique).
  + Update to autoconf 2.57 and libtool 1.4.3.

* Wed Jan 29 2003 Sviatoslav Sviridov <svd@altlinux.ru> 0.23.7-alt1
- new version
- updated BuildRequires

* Fri Nov 22 2002 Rider <rider@altlinux.ru> 0.23.5-alt1
- new version

* Fri Oct 04 2002 Rider <rider@altlinux.ru> 0.23.4-alt1
- new version
- specfile cleanup

* Thu Jun 14 2001 AEN <aen@logic.ru> 0.15.1-alt1
- first build for Sisyphus
